LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XAdapter Interface Referencepublished

This is the server-side interface to a weak adapter. More...

`import"XAdapter.idl";`

Inheritance diagram for XAdapter:

## Public Member Functions
com::sun::star::uno::XInterface | queryAdapted ()
| queries the adapted object if it is alive. More...
void | addReference ([in] com::sun::star::uno::XReference xRef)
| adds a reference to the adapter. More...
void | removeReference ([in] com::sun::star::uno::XReference xRef)
| removes a reference from the adapter. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

This is the server-side interface to a weak adapter.

The implementation of XAdapter must know but not hold the adapted object, because it must not affect the lifetime of the adapted object.

See also
  XWeak for description of concepts.

## Member Function Documentation

## ◆ addReference()

void addReference | ( | [in] com::sun::star::uno::XReference | xRef | ) |

adds a reference to the adapter.

All added references are called when the adapted object dies.

## ◆ queryAdapted()

com::sun::star::uno::XInterface queryAdapted | ( |  | ) |

queries the adapted object if it is alive.

## ◆ removeReference()

void removeReference | ( | [in] com::sun::star::uno::XReference | xRef | ) |

removes a reference from the adapter.

The documentation for this interface was generated from the following file:

- com/sun/star/uno/XAdapter.idl